summaryrefslogtreecommitdiffstats
path: root/src/ceph/debian/ceph-mds.prerm
diff options
context:
space:
mode:
Diffstat (limited to 'src/ceph/debian/ceph-mds.prerm')
-rw-r--r--src/ceph/debian/ceph-mds.prerm23
1 files changed, 23 insertions, 0 deletions
diff --git a/src/ceph/debian/ceph-mds.prerm b/src/ceph/debian/ceph-mds.prerm
new file mode 100644
index 0000000..654518a
--- /dev/null
+++ b/src/ceph/debian/ceph-mds.prerm
@@ -0,0 +1,23 @@
+#!/bin/sh
+# vim: set noet ts=8:
+
+set -e
+
+case "$1" in
+ remove)
+ [ -x /sbin/stop ] && stop ceph-mds-all || :
+ invoke-rc.d ceph stop mds || {
+ RESULT=$?
+ if [ $RESULT != 100 ]; then
+ exit $RESULT
+ fi
+ }
+ ;;
+
+ *)
+ ;;
+esac
+
+#DEBHELPER#
+
+exit 0